// This file is for additional SCSS rules beyond what are in _variables.scss.

// Image path example:
$imagePath: "../images/";

body {
    background-image: var(--tiki-quartz-body-bg-image);
}
// body {
//    background-image: url('#{$imagePath}bg.jpg');
// }
// Moved from .card, where it was apparently causing focus to be lost in (Smartmenu) .card .dropdown-menu
.dropdown-menu {
    backdrop-filter: blur(5px);
}

.pagetitle a {color: $body-color; }

.form-control {
//    color: $body-color !important;
    option {
        background-color: #6184ba; // for theme selector options
        background-image: linear-gradient(125deg, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0.2) 70%); // For in-page forms -- Increased opacity from 255,255,255, 0.3, 0.2, 70%.
        -webkit-backdrop-filter: blur(5px);
    }
}

.tiki .form-select:not([multiple]) option {
    color: var(--bs-body-color);
}

// Using modal-content styles
.jumbotron,
.breadcrumb,
.tiki .ui-widget-content,
span.plugin-mouseover {
    border: none;
    box-shadow: inset 1px 1px rgba(255, 255, 255, 0.2), inset -1px -1px rgba(255, 255, 255, 0.1), 1px 3px 24px -1px rgba(0, 0, 0, 0.15);
    background-color: transparent;
    background-image: linear-gradient(125deg, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0.2) 70%);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}

blockquote,
.blockquote {
    color: var(--#{$prefix}body-color); // For better color contrast.
    border-left-color: $table-border-color;
}

.dropdown-menu {
    background-image: linear-gradient(125deg, rgba(230, 230, 230, 0.7), rgb(226, 232, 234, 0.8) 90%); // Increased opacity from 255,255,255, 0.3, 0.2, 70%.
//    a,
//    .dropdown-item {
//        color: #1c2664; }
}

.ec-header,
.textarea-toolbar > div,
.textarea-toolbar > ul{
    background-color: $dark;
}

.tiki .ec-day-grid-event-harness {
    background-color: $info;
}
.tiki .select2-container--bootstrap-5 .select2-dropdown {
    background-color: transparent;
    background-image: linear-gradient(125deg, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0.2) 70%);
    backdrop-filter: blur(5px);
}

.tiki .select2-container--bootstrap-5 .select2-selection {
    padding: 0.375rem 0.75rem !important;
}